2011-04-23 120 views
2

我已經安裝了unDelphiX我德爾福2010年,但我不能運行,即使一個簡單的例子程序,我總是一個錯誤信息:undelphix錯誤信息

F2051單位D3DX9用不同版本的編譯Direct3D9.TD3DFormat

我從來沒有與unDelphiX合作過,我不知道這個錯誤的含義。 有人可以請解釋給我,我該如何解決它?

回答

3

只是谷歌的「是用不同版本的」(精確短語)編譯的,你會發現很多答案。基本上,您正在使用的dcu文件已經使用與您正在使用的Delphi版本不同的Delphi版本進行編譯。

鏈接到德爾福文檔:http://docs.embarcadero.com/products/rad_studio/delphiAndcpp2009/HelpUpdate2/EN/html/devcommon/cm_version_conflict_xml.html

文件沒有說明太多,但。你需要做什麼來解決它:

  • 用你的Delphi版本編譯庫的來源或獲得與你的Delphi版本編譯的dcu的。
  • 確保您的環境或項目的庫路徑中包含可以找到庫源代碼或使用Delphi版本編譯的dcu的文件夾。
+0

我在安裝前用我的Delphi進行了編譯。我嘗試卸載,編譯和再次安裝,沒有任何東西。 – Neamow 2011-04-23 15:18:16

+0

,我確實有庫路徑包含 – Neamow 2011-04-23 15:18:49

+0

不幸的是,編譯器在這些情況下從來沒有錯。你可能有衝突的環境和項目庫路徑和/或你可能有一個不同的Delphi版本在其中一個路徑的「早期」文件夾中編譯過。搜索你的驅動器(s)的實例單位(d3dx9),你應該找到罪魁禍首。 – 2011-04-23 15:33:51